﻿using System;

namespace NUnit.Framework
{
    public static class DateTimeAssertions
    {
        public static void ShouldEqual(this DateTime actual, DateTime expected, TimeSpan tolerance)
        {
            var span = expected - actual;
            Assert.IsTrue(span <= tolerance);
        }
    }
}